* {
margin: 0;
padding: 0;
box-sizing: border-box ;

}


#div-1 {
	background-color: green ;
	display: block;
}

#span-1 {
	background-color: purple;
	display: inline-block;
	width: 200px;
	height: 200px;
	vertical-align: top;
}

#span-2 {
	background-color: red;
	display: none;
}

#div-2 {
	background-color: hotpink;
	display: none;
}

#img {

	width: 200px;
	height: 200px;
	display: inline-block;
}


/*CSS Rules for notes in block, inline and inline-block*/
#p-1 {

	background-color: #87CEFA;

}

#p-2 {

	background-color: rgb(255, 105, 180);
	width: 60%;
}

#p-3 {
	background-color: yellow;
	width: 40%;
}

.sample {
	display: inline-block;
	width: 30%;
	border: 1px solid black;
	text-align: center;
}

/*Float Property*/

.img-float{
	width: 250px;
	height: 250px;
	/*try different values: left, right*/
	float: inherit;
}


/*CSS Units*/
/*pixels vs percentage*/

.box {

	background-color: red;
	border: 1px solid black;
	margin: 5px;
}

.fifty-percent {
	width: 50%;

}

.one-hundred-pixels {
	width: 100px;

}

.parent{
	width: 135px;
	border: 2px solid navy;
	font-size: 30px;
}





/*Viewport Units*/

.fifty-vw {
	width: 50vw;

}

.twenty-five-vh {
	height: 25vh;
}


/*EM vs REM*/

.one-rem {

	font-size: 1rem;
}

.one-em{

	font-size: 1em;
}

.two-rem {
	font-size: 2rem;
}

.two-em {

	font-size: 2em;
}

/*Percentage*/

.two-hundred-percent {

	font-size: 200%;
}

/*CSS Background Properties*/

.background {
	min-height: 20rem;
	background-color: gray;
	background-image: url(https://c4.wallpaperflare.com/wallpaper/43/1003/707/anime-your-name-kimi-no-na-wa-mitsuha-miyamizu-wallpaper-preview.jpg);

	background-repeat: no-repeat;
	/*values - percent, cover, auto, no-repeat, contain*/
	background-size: 100%;

	background-position: center top;
	background-attachment: fixed;
}

.bg-title {
	color: white;
	text-align: center;
	font-size: 3em;
	margin: 0;
	/*line-hieght - to make an image scrollable*/
	line-height: 35rem;

}

/*to improve image*/
.container-bg {
	background-color: rgba(0, 0, 0, 0.5);
	min-height: 100vh;
}

/*CSS Positioning*/

.parent-element {
	background-color: skyblue;
	padding: 10px;
	position: relative;
	height: 800vh;

}

.child-one {
	background-color: gray;
	padding: 10px;
}

.child-two {
	background-color: yellow;
	padding: 10px;
	position: sticky;
	/*left: 10px;
	bottom: 10px;*/
	top: 10px;

}

.child-three {
	background-color: gray;
	padding: 10px;
}

html {
	height: 800vh;
}

/*Z-index*/

.container {
	position: relative;
}

.black-box {
	position: relative;
	z-index: 1;
	border: 2px solid black;
	height: 100px;
	margin: 30px;

}

.gray-box {
	position: absolute;
	z-index: 3; 
	background: lightgray; /* gray box will above the green and black box */
	height: 60px;
	width: 70%;
	left: 50px;
	top: 50px;
}

.green-box {
	position: absolute;
	z-index: 2; /* green box will above the black box */
	background: lightgreen;
	width: 35%;
	left: 270px;
	top: -15px;
	height: 100px;
}